• B правой части каждого сообщения есть стрелки и . Не стесняйтесь оценивать ответы. Чтобы автору вопроса закрыть свой тикет, надо выбрать лучший ответ. Просто нажмите значок в правой части сообщения.

  • Курсы Академии Кодебай, стартующие в мае - июне, от команды The Codeby

    1. Цифровая криминалистика и реагирование на инциденты
    2. ОС Linux (DFIR) Старт: 16 мая
    3. Анализ фишинговых атак Старт: 16 мая Устройства для тестирования на проникновение Старт: 16 мая

    Скидки до 10%

    Полный список ближайших курсов ...

Setoolkit python

xxxWarlock

Well-known member
21.10.2019
52
0
BIT
0
Здравствуйте! Я уже задавал этот вопрос (Здравствуйте, у меня возникла такая проблема! Я перешел с Кали линукса на Арч(Манджаро) интегрировал Blackarch и один из моих любимых инструментов это setoolkit, но он не работает апач установил, проверил все работает. Но сам софт пишет вот такое вот - [!] Something went wrong, printing the error: invalid syntax (harvester.py, line 596) Что бы это могло быть. Версия питона 3.7 это же Арч как никак возможно нужен 2.7 как в кали?) И вроде как решили, что ошибка кроется в том, что у меня питон версии 3.7. Но позже я выяснил что у меня есть дэфолдный питон 2.7. Тогда в чем же проблема??? Я решил посмотреть что это за строка и за что она отвечает
try:
# bind to all interfaces on 443
server_address = ('', 443) # (address, port)
# setup the httpd server
httpd = ServerClass(server_address, HandlerClass)
# serve the httpd server until exit
httpd.serve_forever()
596 except Exception, e:
597 print_error("Something went wrong.. Printing error: " + str(e))
Насколько я понимаю, то это означает вывести ошибку если что-то пошло не так. Выручайте друзья очень нужен этот софт, а в кали возвращаться не хочется(((
 

f22

Codeby Academy
Gold Team
05.05.2019
1 844
225
BIT
1 122
Здравствуйте! Я уже задавал этот вопрос (Здравствуйте, у меня возникла такая проблема! Я перешел с Кали линукса на Арч(Манджаро) интегрировал Blackarch и один из моих любимых инструментов это setoolkit, но он не работает апач установил, проверил все работает. Но сам софт пишет вот такое вот - [!] Something went wrong, printing the error: invalid syntax (harvester.py, line 596) Что бы это могло быть. Версия питона 3.7 это же Арч как никак возможно нужен 2.7 как в кали?) И вроде как решили, что ошибка кроется в том, что у меня питон версии 3.7. Но позже я выяснил что у меня есть дэфолдный питон 2.7. Тогда в чем же проблема??? Я решил посмотреть что это за строка и за что она отвечает
try:
# bind to all interfaces on 443
server_address = ('', 443) # (address, port)
# setup the httpd server
httpd = ServerClass(server_address, HandlerClass)
# serve the httpd server until exit
httpd.serve_forever()
596 except Exception, e:
597 print_error("Something went wrong.. Printing error: " + str(e))
Насколько я понимаю, то это означает вывести ошибку если что-то пошло не так. Выручайте друзья очень нужен этот софт, а в кали возвращаться не хочется(((
Попробуй установить setoolkit с github
git clone trustedsec/social-engineer-toolkit set/
cd set
pip install -r requirements.txt
 

xxxWarlock

Well-known member
21.10.2019
52
0
BIT
0
Так скачал зашел в папку, как вы сказали скачал туда файл pip (кст в конце там 1 файл выдал Eror), но команда не запускает его. В терминале прописываю setoolkit он выдает что нет такого файла, зашел в папку где вот он этот файл со значком питона, и все равно пишет не найдено. Тот set с blackarch запускался работал, но не выполнял требования а этот даже и не запускается.
 

f22

Codeby Academy
Gold Team
05.05.2019
1 844
225
BIT
1 122

xxxWarlock

Well-known member
21.10.2019
52
0
BIT
0
Python 3.7.4
pip 19.2.3 from /usr/lib/python3.7/site-packages/pip (python 3.7)
вот.
я знаю что для set нужен питон2 и он тоже имеется
Python 2.7.17
 

f22

Codeby Academy
Gold Team
05.05.2019
1 844
225
BIT
1 122
но команда не запускает его.
Как запускаешь?
Напиши код

В терминале прописываю setoolkit
Находиться нужно в папке, которую ты скачал.
Обрати внимание на set/ - скачиваться репозиторий будет именной в эту папку.
git clone https://github.com/trustedsec/social-engineer-toolkit set/
cd set
pip install -r requirements.txt
дополнительно установи
pip install wheel
pip install PyMySQL

после установки запускай
./setoolkit

В терминале прописываю setoolkit он выдает что нет такого файла
Нужно добавить его в алиасы.
Находясь в директории с файлом setoolkit, вводи
dir_se=`pwd`"/./setoolkit"; echo alias setoolkit=\"${dir_se}\" >> ~/.bashrc
Перезапусти терминал, дальше можешь вводить
setoolkit, программа запустится из той папки
 
Мы в соцсетях:

Обучение наступательной кибербезопасности в игровой форме. Начать игру!